<?php
	require_once("dbinfo.inc");
	$err;
	$msg;
	/*create a file named dbinfo.inc, and place in it the following in a php script:
	<?php
	$servername = "wwwstu.csci.viu.ca";//use localhost instead if not working on school server
	$username = "username";//this is your mysql username
	$password = "password";//your mysql password
	$database = "username";//this is the name of your mysql database, it is the same as your user name on the csci server
	//replacing username with your username, and password for your mysql password$name;
	?>
	*/
	
?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" >
<head>
	<meta charset="utf-8"/>
	<title>Albums from the our Music Database</title>
	<link rel="stylesheet" href="myStyles.css" type="text/css" />
</head>
<body>
<h1>Albums by the Best Bands Ever</h1>
<div class="myTable">
<div class="myRow">
	<span class="myCol table-head">Band</span>
	<span class="myCol table-head">Album</span>
	<span class="myCol table-head">Produced By</span>
</div>
<?php
	$myHandle;
	try{
		$myHandle = new PDO("mysql:host=$servername;dbname=$database", $username, $password);

	}catch(PDOException $e){
		$err .= "Connection failed: " . $e->getMessage() . "\n";
	}	
	
	if($myHandle){
		$stmt = "select bandName, albumName, producer from bands, albums, labels where bands.bandID=albums.bandID and albums.producerID=labels.producerID";
		$rslt = $myHandle->query($stmt);
		$i=1;
		$albums;
		foreach($rslt as $row){
			foreach($row as $field=>$value){
				$albums[$i][$field] = $value;
			}
			$i++;
			//print_r($row);
		}
		$numAlbums = sizeof($albums);
		
		for($j=1; $j<=$numAlbums; $j++){
			echo "<div class='myRow'>";
			echo "<span class='myCol'>{$albums[$j]['bandName']}</span>";
			echo "<span class='myCol'>{$albums[$j]['albumName']}</span>";
			echo "<span class='myCol'>{$albums[$j]['producer']}</span>";
			echo "</div>";
		}
	}
?>
</div>
</body>
</html>