<?php
	require("../private/dbinfo.inc");
	$name;
	$bandID;
	$err;
	$msg;
	$isPrepared = false;
	if($_SERVER['REQUEST_METHOD']=="POST"){
		$name = $_POST['albumname'];
		$bandID = $_POST['band'];
		//validate and sanitize here
		if($name == ''){
			$err = "Sorry, name is needed\n";
		}
		if(!$isPrepared){
			try{
				$dbh = new PDO("mysql:host=$servername;dbname=$database", $username, $password);
				$stmt = $dbh->prepare("INSERT into albums (albumName, bandID) VALUES(:albumName, :bandID)");
				$stmt->bindParam(':bandID', $bandID);
				$stmt->bindParam(':albumName', $name);
			}catch(PDOException $e){
				echo "Connection failed: " . $e.getMessage();
			}
		}
	}
	
?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" >
<head>
	<meta charset="utf-8"/>
	<title>Prepare!</title>
	<link rel="stylesheet" href="myStyles.css" type="text/css" />
</head>
<body>
<h1>Here we go!</h1>
<p>
	<?php
		if(isset($name) && isset($bandID)){
			if(isset($err)){
				echo $err;
			}else{
				if($stmt->execute() !== false){
					
					echo "The album: $name was inserted";
				}else{
					echo "Total failure";
				}
			}
		}
		
	?>
</p>
<form action="prepared.php" method="post">
<label for="band">Band</label>
<select name="band">
	<option value="1">The Who</option>
	<option value="2">Moxy Fruvous</option>
	<option value="3">The Doors</option>
	<option value="4">Maroon 5</option>
</select>
<label for="albumname">Album Name</label>
<input name="albumname" type="text"/>
<input type="submit" value="Insert"/>
</select>
</form>
</body>
</html>