<?php
session_start();/* Starts the session */
//include helper files
require_once("inputHelper.php");
require_once("loginHelpers.php");

//declare variables
//check if already logged in, and set status
$status;
$err;

if(isset($_SESSION['UserData']['Username'])){
	$status=2;	
}

//check if submit button pressed, and if so, get data from form
if(isset($_POST['submit'])){
	$form_name=$_POST['user'];
	$form_pw=$_POST['pw'];
	//validate data
	if(!has_presence($form_name) || !has_presence($form_pw)){
		$err = "Sorry, username and password cannot be empty";
	}
	
	
	//attempt login with submitted data
	if(!isset($err) && attempt_login($form_name, $form_pw)){
		$_SESSION['UserData']['Username'] = $form_name;
		$status = 1;
	}else{
		$status = 0;
		$err = "Sorry, login failed, please try again.";
	}
}
?>
<html>
<head>
<title>Start Page</title>
</head>
<body>
<header><nav>
<a href="startPage.php">Start Page</a>
<a href="protectedPage.php">Protected Page</a>
<a href="unprotectedPage.php">Unprotected Page</a>
</nav>
</header>
<h1>Start page</h1>
<?php
	if(isset($err)){
		echo $err."</br>";
	}
?>
<form action="startPage.php" method="POST">
	<label for="user">User Name: </label>
	<input type="text" id="user" name="user" required="required"\>
	<label for="pw">Password: </label>
	<input type="password" id="pw" name="pw" required="required"\>
	<input type="submit" id="submit" name="submit" value="login"\>
</form>

<?php 
	//check status, and either show logged in, or show register link
	if($status === 1 || $status ===2){
		echo "you're totally logged in: ".
			htmlspecialchars($_SESSION['UserData']['Username']).
			"<br/>";
		echo "<a href=\"logout.php\">Logout</a>";
	}else{
		echo "Don't have an account? Create one: ";
		echo "<a href=\"register.php\">Register</a>";
	}
?>

</body>
</html>