<html><head><title>Salt and hashing demo</title></head>
<body>
<div>
<?php

	//playing at first
	$password = "secret";
	$hash_format = "$2y$10$";//2y means use blowfish, 10 is the number times to run
	$salt = "Salt22CharactersOrMore";
	echo "Length: " .strlen($salt);
	$format_and_salt = $hash_format . $salt;
	$hash = crypt($password, $format_and_salt);
	echo "<br/>";
	echo $hash;
	
	$hash2 = crypt("bad secret", $hash);
	echo "<br/>";
	echo $hash2;


	//write the password functions
	//call as $hashed_password = password_encrypt($userPassword);
	function password_encrypt($password){
		$hash_format = "$2y$10$";
		$salt_length = 22;
		$salt = generate_salt($salt_length);
		$format_and_salt = $hash_format.$salt;
		$hash = crypt($password, $format_and_salt);
		return $hash;
	}	
	
	function generate_salt($length){
		//generate pseudo random string (good enough)
		//returns 32 characters
		$unique_random_string = md5(uniqid(mt_rand(), true));
		
		//convert it to base 64 (valid chars are [a-zA-Z0-0./] )
		$base64_string = base64_encode($unique_random_string);
		
		//remove the '+' characters, just replace with '.'
		$modified_base64_string = str_replace('+', '.', $base64_string);
		
		//truncate off just what we need
		$salt = substr($modified_base64_string, 0, $length);
		
		return $salt;
	}
	function password_check($password, $existing_hash){
		$hash = crypt($password, $existing_hash);
		if($hash === $existing_hash){
			return true;
		}else{
			return false;
		}
	}
	echo "<br/>";
	
	
	//how we'd use it:
	//user creation:
	//get username and password from user:
	$username = "sarah";
	$myPassword = "12345";
	//validate data
	//create the hash and store it in the database
	$myHash = password_encrypt($myPassword);
	//echo it just to see
	echo "password: " . $myPassword . " and hashed: " . $myHash;
	//store the username and password in db 
	//sanitize the user name or use prepared statements
	//don't sanitize the password 
	//some mySQL stuff here...
	
	echo "<br/>";
	//user login
	//get username and attempted password from user
	$usernameAttempt = "sarah";
	$passwordAttempt = "12345";
	//query the database and get the hash for this user (if they exist)
	$hashedpassword = $myHash; //for testing I'm just grabbing it from above
	//see if it is a match
	if(password_check($passwordAttempt, $hashedpassword)){
		echo "success";
		
	}else{
		echo "failure";
	}
	
?>
</div>
</body>